BSV blockchainBSV blockchain

Remove a token and optionally ban the domain

POST/admin/remove-token

Body application/json

txidstringrequired
outputIndexintegerrequired
servicestring
banboolean

Also ban the outpoint.

banDomainboolean

Also ban the domain associated with this token.

Response

Token removed.

statusstring
messagestring

Bad request — validation error or missing required field.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

No authentication credentials provided.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

Credentials provided but insufficient.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

Request
curl -X POST "https://{fqdn}/admin/remove-token" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <token>" \
  -H "Authorization: Bearer <token>" \
  -d '{
  "txid": "string",
  "outputIndex": 0,
  "service": "string",
  "ban": true,
  "banDomain": true
}'
Response
{
  "status": "string",
  "message": "string"
}